aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--linux/make_artifacts.sh9
-rw-r--r--tools/build-arm.sh2
2 files changed, 10 insertions, 1 deletions
diff --git a/linux/make_artifacts.sh b/linux/make_artifacts.sh
index b32384ed4..43002218e 100644
--- a/linux/make_artifacts.sh
+++ b/linux/make_artifacts.sh
@@ -11,6 +11,13 @@ esac
ARTIFACTS="${ARTIFACTS:-/artifacts}"
+rm $ARTIFACTS/*
+
+clean_up() {
+ echo "All done!" > "$ARTIFACTS/DONE"
+}
+trap clean_up EXIT
+
# build binaries
cabal --version
@@ -72,3 +79,5 @@ gzip -9 $TARGET/share/man/man1/pandoc.1
tar cvzf $TARGET-linux-$ARCHITECTURE.tar.gz $TARGET
rm -r $TARGET
+
+exit 0
diff --git a/tools/build-arm.sh b/tools/build-arm.sh
index e413e5437..dc13e1435 100644
--- a/tools/build-arm.sh
+++ b/tools/build-arm.sh
@@ -86,7 +86,7 @@ do
# print last line of log output and free memory
$SSH "tail -n1 src/pandoc/docker.log && free -h | grep Mem"
# Check to see if the artifact has been produced
- $SSH "ls -l src/pandoc/linux/artifacts/*.tar.gz 2>/dev/null" && break
+ $SSH "ls -l src/pandoc/linux/artifacts/DONE 2>/dev/null" && break
done
# Retrieve the artifacts